image:
  repository: quay.io/coreos/etcd
  tag: v3.5.0
  pullPolicy: IfNotPresent

clusterDomain: cluster.local

tls:
  client:
    enabled: false
    type: 'secret'
    secretName: '{{ .Release.Name }}-etcd-client'
  peer:
    enabled: false
    secretName: '{{ .Release.Name }}-etcd-peer'

storage:
  storageClass: false
  size: '10Gi'

config:
  cors:
    origin: ''
  compaction:
    retention:
  wal:
    max: 5
    storage:
      enabled: false
      storageClass: false
      size: '10Gi'
  snapshot:
    count: 100000
  heartbeat: 100
  election: 1000